02.10.2014, 12:53 UhrDeutsch | English
Hallo Gast [ Registrierung | Anmelden ]

Neues Thema eröffnen   Neue Antwort erstellen
Vorheriges Thema anzeigen Druckerfreundliche Version Einloggen, um private Nachrichten zu lesen Nächstes Thema anzeigen
Autor Nachricht
zulu9
Titel:   BeitragVerfasst am: 28.08.2006, 19:58 Uhr



Anmeldung: 31. Jul 2004
Beiträge: 249

big thx! this script is real great and becoming better almost every day Sehr glücklich

_________________
http://kanotix.wordpress.com/ inoffizielles Kanotix-Blog
 
 Benutzer-Profile anzeigen Private Nachricht senden  
Antworten mit Zitat Nach oben
h2
Titel:   BeitragVerfasst am: 02.09.2006, 08:05 Uhr



Anmeldung: 12. Mar 2005
Beiträge: 1005

Version 3.6 now features the -m option, which allows you to change your /etc/apt/sources.list by selecting from any of the official debian mirrors worldwide before the main parts of the script runs.

When you start the script with -m, like this:

du-fixes-h2.sh -m

you will see a list of all the currently available debian country mirrors. Select the right number, and your sources.list will be updated automatically, then the script will go on to the main upgrade.

<update>The script will now give the source selection option the first time it runs, which will let the users select their prefered debian apt mirrors. After that you'll need to use the -m option when starting the script if you want to change your source mirrors in /etc/apt/sources.list.

You can put any options you like together, like this: du-fixes-h2.sh -mek

_________________
Read more on dist-upgrades using du-fixes-h2.sh script.
New: rdiff-backup script
 
 Benutzer-Profile anzeigen Private Nachricht senden  
Antworten mit Zitat Nach oben
h2
Titel:   BeitragVerfasst am: 03.09.2006, 21:16 Uhr



Anmeldung: 12. Mar 2005
Beiträge: 1005

Version 3.7 is now out, this one features many many subtle fixes, semi bug fixes, scripting error and syntax fixes, flow errors, subtle to not so subtle useability issues pointed out to me by various people [thanks Swyndla], etc, and more code hacks to help in my ongoing battle to get the code into a reasonably coherent condition for long term maintainance.

But the biggest change is that now the script is redone internally to be able to handle all future kanotix releases in a much more standardized way. Currently, except for maybe changing the script's 2006-01 kanotix search strings, the script is ready and waiting for 2006-1 to be released, whenever the kanotix team decides 2006-1 is truly stable and ready.

Now all fixes etc that are version dependent are controlled by a single variable, which lets me turn off version dependent fixes very easily when they are no longer required by subsequent versions. And in fact, many of the current fix option will now not be offered at all when 2006-1 users use the script, since those fixes will of course be included in 2006-1.

I was going to implement this version testing method for easter, but because too much time passed between easter rc1 and easter rc4, it wasn't technically possible to do that safely, but now that 2006-1 is somewhere around the corner, I figured it was best to deal with this now.

_________________
Read more on dist-upgrades using du-fixes-h2.sh script.
New: rdiff-backup script
 
 Benutzer-Profile anzeigen Private Nachricht senden  
Antworten mit Zitat Nach oben
rich.bradshaw
Titel:   BeitragVerfasst am: 06.09.2006, 15:20 Uhr



Anmeldung: 14. Jan 2006
Beiträge: 287

That is a good script! Just installed EasterRC4 fresh today, and that sorted everything out - you are a genius!

When is the next stable coming out - it seems way overdue! Its not really Easter anymore is it....
 
 Benutzer-Profile anzeigen Private Nachricht senden  
Antworten mit Zitat Nach oben
Roughnecks
Titel:   BeitragVerfasst am: 06.09.2006, 16:29 Uhr



Anmeldung: 13. Dez 2004
Beiträge: 730
Wohnort: Deutschland
kernel update problem:
i installed a box of a friend yesterday with easter rc4 and used the du-fixes-h2.sh script. he uses a rt2500 wireless card. after a kernel update with the du-script it stopped working, because the script didn't install the rt2500 modules.
the kernel update function of andreas loibl's kanotix update gui prompts for and installs all available kernel modules.
did i do something wrong or is that function missing in the du-fixes script?

_________________
Kanotix 2006-1 RC4 (daily dist-upgraded)
Deutsches Kanotix Wiki - English Kanotix Wiki
 
 Benutzer-Profile anzeigen Private Nachricht senden  
Antworten mit Zitat Nach oben
devil
Titel:   BeitragVerfasst am: 06.09.2006, 16:35 Uhr
Team Member
Team Member


Anmeldung: 06. Mai 2005
Beiträge: 3087
Wohnort: berlin
roughnecks,
so far with h2 you have to install needed modules manualy afaik (never tested it for kernel update)

greetz
devil

_________________
<<We are Xorg - resistance is futile - you will be axximilated>>

Host/Kernel/OS "devilsbox" running[2.6.19-rc1-git5-kanotix-1KANOTIX-2006-01-RC4 ]
CPU Info AMD Athlon 64 3000+ clocked at [ 803.744 MHz ]
 
 Benutzer-Profile anzeigen Private Nachricht senden  
Antworten mit Zitat Nach oben
h2
Titel:   BeitragVerfasst am: 06.09.2006, 19:05 Uhr



Anmeldung: 12. Mar 2005
Beiträge: 1005

Yes, it's semimanual install.

If you restart the script after rebooting from kernel install, and there is no internet connection present, it will give you options to install madwifi or ndiswrapper. I have been reluctant to add features I can't test myself, and since the only wireless I have is in the kernel already, I can't really test any other modules.

I am told that currently the script restart install of madwifi / ndiswrapper works fine though.

It's not a problem to put more options in though for modules, those were just the ones that were requested. I guess I could also add the option to install all modules as well, if required, although to be honest I'd prefer not to, since I don't like cluttering things up unnecessarily, especially when only one of those modules is required.

_________________
Read more on dist-upgrades using du-fixes-h2.sh script.
New: rdiff-backup script


Zuletzt bearbeitet von h2 am 06.09.2006, 21:24 Uhr, insgesamt ein Mal bearbeitet
 
 Benutzer-Profile anzeigen Private Nachricht senden  
Antworten mit Zitat Nach oben
h2
Titel:   BeitragVerfasst am: 06.09.2006, 21:14 Uhr



Anmeldung: 12. Mar 2005
Beiträge: 1005

Version 3.8.0 now supports installation of the following wireless modules:

at76c503a
ipw3945
linux-wlan-ng
madwifi
ndiswrapper
rt2500
rt2570
rt61

You will only see this list when you restart the script and have no internet connection. Please be patient as the connection testing proceeds, when no connection is detected, it will try to restart networking first, then if that fails, it will offer the option to install wireless modules.

I may have missed one or two of the avialable modules in the kernel package. If I did, please give me their names and I'll add them.

Please note: this will only work if you used the script to install the kernel, otherwise it doesn't know where the kernel unpack directory is.

THE SCRIPT DOES NOT KNOW WHICH MODULE YOU NEED, SO PLEASE HAVE THAT INFORMATION AVAILABLE TO YOURSELF BEFORE YOU INSTALL A NEW KERNEL IF YOU USE WIRELESS.

Script also now has the wodim cdrom/dvdrom burning fix. This runs after the dist-upgrade stuff is finished, it's automatic, you won't really see it, it's a simple fix, and resolves the cd/dvd burning issues created by the new wodim burning application.

_________________
Read more on dist-upgrades using du-fixes-h2.sh script.
New: rdiff-backup script
 
 Benutzer-Profile anzeigen Private Nachricht senden  
Antworten mit Zitat Nach oben
h2
Titel:   BeitragVerfasst am: 08.09.2006, 19:32 Uhr



Anmeldung: 12. Mar 2005
Beiträge: 1005

script now has a fix for the recent udev issue.

apt-get install --reinstall udev

_________________
Read more on dist-upgrades using du-fixes-h2.sh script.
New: rdiff-backup script
 
 Benutzer-Profile anzeigen Private Nachricht senden  
Antworten mit Zitat Nach oben
rich.bradshaw
Titel:   BeitragVerfasst am: 10.09.2006, 17:37 Uhr



Anmeldung: 14. Jan 2006
Beiträge: 287

h2, at the end of the script, if you have already done whatever option 4 is, it doesn't show up. This is fine, except that pressing 8 to install graphic drivers then does what 9 was meant to and exits the script.

If you need more details let me know, I am not in Kanotix right now so cannot check if thats it right this moment....

Excelletn script though - should definatly be on the next CD release!
 
 Benutzer-Profile anzeigen Private Nachricht senden  
Antworten mit Zitat Nach oben
The_Seeker
Titel:   BeitragVerfasst am: 10.09.2006, 19:53 Uhr



Anmeldung: 23. Feb 2006
Beiträge: 45
Wohnort: Buxton, UK
I can confirm this as I was going to post this very error.

When you get to the 'Miscellaneous tweaks and hacks' section, the option to continue in the green text is actually the option to quit. That aside, the script is working wonderfully and I commend you on a fantastic tool!
 
 Benutzer-Profile anzeigen Private Nachricht senden  
Antworten mit Zitat Nach oben
h2
Titel:   BeitragVerfasst am: 11.09.2006, 21:04 Uhr



Anmeldung: 12. Mar 2005
Beiträge: 1005

That mistake is fixed now I think. Except for little bugs like this, glad the script is working for you.

_________________
Read more on dist-upgrades using du-fixes-h2.sh script.
New: rdiff-backup script
 
 Benutzer-Profile anzeigen Private Nachricht senden  
Antworten mit Zitat Nach oben
The_Seeker
Titel:   BeitragVerfasst am: 11.09.2006, 23:49 Uhr



Anmeldung: 23. Feb 2006
Beiträge: 45
Wohnort: Buxton, UK
Thanks h2 and again, thanks for the great script.

I've been tinkering quite a bit over the last couple of weeks (as we all do) and I've used your script around 5 times, each instance on a fresh install of rc-4; every time it's gone without a hitch. Kudos.
 
 Benutzer-Profile anzeigen Private Nachricht senden  
Antworten mit Zitat Nach oben
h2
Titel:   BeitragVerfasst am: 15.09.2006, 07:20 Uhr



Anmeldung: 12. Mar 2005
Beiträge: 1005

version 3.9.x now installs the new kanotix penguin graphics, for grub [including grub fixes], default background, new ksplash the first time you run the script.

It also backs up your old grub graphic to /boot/message.old, and your old kanotix ksplash. You should be able to select which ksplash you want in the kde control center, appearances, splash screen, the new or the old. Default is now the new: KanotixClouds. The old is renamed to KanotixOriginal if you preferred that one.

This backup stuff will only work if you have not done a dist-upgrade since the new kanotix graphics packages came out a few days ago.

It also gives you the option to start/stop the new boot/shutdown splashy thing. This is not the blue penguin stuff in grub/background etc, it replaces the default text start/shutdown output with a penguin graphic and a moving progress bar.

These fixes are based on Kano's kanotix graphics fix script, by the way, though modified a bit to make some parts optional, and to backup other parts.

_________________
Read more on dist-upgrades using du-fixes-h2.sh script.
New: rdiff-backup script
 
 Benutzer-Profile anzeigen Private Nachricht senden  
Antworten mit Zitat Nach oben
ironwalker
Titel:   BeitragVerfasst am: 15.09.2006, 19:19 Uhr



Anmeldung: 21. Jan 2005
Beiträge: 454
Wohnort: NYC/NJ Area
Thank you sir,great work and I love the new graphics by Cart.
 
 Benutzer-Profile anzeigen Private Nachricht senden  
Antworten mit Zitat Nach oben
wh7qq
Titel:   BeitragVerfasst am: 16.09.2006, 23:59 Uhr



Anmeldung: 04. Jul 2005
Beiträge: 67
Wohnort: Hawaii
Nice that it works fine in 2006-1-RC1...just used it to install nvidia and a few other chores.
 
 Benutzer-Profile anzeigen Private Nachricht senden  
Antworten mit Zitat Nach oben
dpdt1
Titel:   BeitragVerfasst am: 20.09.2006, 17:20 Uhr



Anmeldung: 05. Jan 2006
Beiträge: 42
Wohnort: Athens
does anyody else has this message :

"root@home01:/home/dpdt1# du-fixes-h2.sh
[: 213: ==: unexpected operator
/usr/local/bin/du-fixes-h2.sh: 444: Syntax error: "do" unexpected (expecting "fi")
"

or is it just me?

i deleted the script from /usr/local/bin and re-downloaded but still the same error...
i dont know lot about programming but when i tried to put a "fi" there (before line 444), i get another error message and another..
(running kanotix64 2005-04 lite, 2.6.16.20-slh64-smp-1)

any info?
i'm trying to use it cause i read all the nice words about it, but haven't tested it myself yet...

thanks in advance,

Dimitris.

_________________
Hey Bobby Marley
Sing Something Good To Me
This World Go Crazy
It's An Emergency
 
 Benutzer-Profile anzeigen Private Nachricht senden  
Antworten mit Zitat Nach oben
makke
Titel:   BeitragVerfasst am: 20.09.2006, 18:30 Uhr
Team Member
Team Member


Anmeldung: 02. Jan 2005
Beiträge: 905
Wohnort: Hagen
re-download the script and show the md5 (md5sum du-fixes-h2.sh)

edit:
get the script with wget http://techpatterns.com/downloads/kanot ... ixes-h2.sh
correct md5: ca4aa5287f7ca5800882bda22d95124c du-fixes-h2.sh
 
 Benutzer-Profile anzeigen Private Nachricht senden  
Antworten mit Zitat Nach oben
dpdt1
Titel:   BeitragVerfasst am: 20.09.2006, 18:54 Uhr



Anmeldung: 05. Jan 2006
Beiträge: 42
Wohnort: Athens
thanks for the answer, but no luck..
still the same error..

root@home01:/usr/local/bin# md5sum du-fixes-h2.sh
ca4aa5287f7ca5800882bda22d95124c du-fixes-h2.sh

edit] ok i got it. when i run
bash du-fixes-h2.sh
it works.
so, i probably messed up things when i was testing some advices a while ago..

_________________
Hey Bobby Marley
Sing Something Good To Me
This World Go Crazy
It's An Emergency
 
 Benutzer-Profile anzeigen Private Nachricht senden  
Antworten mit Zitat Nach oben
h2
Titel:   BeitragVerfasst am: 27.09.2006, 22:48 Uhr



Anmeldung: 12. Mar 2005
Beiträge: 1005

Added the fontconfig fix that is found in irc under !fonts

This fix is available in the fonts fixing options you see after the du finishes.

Only use this if you get the font cache errors. The cause of this is bad /etc/fonts files, and hte fix simply removes that, reinstalls the fontconfig items, then reconfigures them.

Only, again, use this is if you accidentally said 'n', keep /etc/fonts/fonts.conf when new fontconfig stuff was installed during du, and then you get those font cache errors. Most users will not need this. Also added opera keyring install.

_________________
Read more on dist-upgrades using du-fixes-h2.sh script.
New: rdiff-backup script
 
 Benutzer-Profile anzeigen Private Nachricht senden  
Antworten mit Zitat Nach oben
mdmarmer
Titel:   BeitragVerfasst am: 28.09.2006, 02:17 Uhr



Anmeldung: 22. Mar 2006
Beiträge: 82
Wohnort: dayton, oh usa
Guten Tag h2, danke schon for great script ...

will the fontconfig fix solve my problem ? I have posted it in the English forum General Topics:

ttf-opensymbol -- problem with dist-upgrade of Kanotix-64
My system is running fine, but ttf-opensymbol is not fully installed or removed
I keep getting a lot of messages ending in "failed to write cache" for all fonts when apt tries to install or remove ttf-opensymbol.

Thanks for help

Mike
 
 Benutzer-Profile anzeigen Private Nachricht senden Website dieses Benutzers besuchen  
Antworten mit Zitat Nach oben
h2
Titel:   BeitragVerfasst am: 28.09.2006, 19:57 Uhr



Anmeldung: 12. Mar 2005
Beiträge: 1005

My guess is that it will. that's a guess though.

_________________
Read more on dist-upgrades using du-fixes-h2.sh script.
New: rdiff-backup script
 
 Benutzer-Profile anzeigen Private Nachricht senden  
Antworten mit Zitat Nach oben
mdmarmer
Titel:   BeitragVerfasst am: 29.09.2006, 04:19 Uhr



Anmeldung: 22. Mar 2006
Beiträge: 82
Wohnort: dayton, oh usa
Danke schon -- this fixed it.

Mike
 
 Benutzer-Profile anzeigen Private Nachricht senden Website dieses Benutzers besuchen  
Antworten mit Zitat Nach oben
h2
Titel:   BeitragVerfasst am: 29.09.2006, 21:26 Uhr



Anmeldung: 12. Mar 2005
Beiträge: 1005

If you did a dist-upgrade today, and your openoffice.org now does not work, the script now has a post-dist-upgrade fix option that will restore your OOo to working order by uninstalling your current version and replacing it with the testing version.

If you already did a du today and your OOo is broken, use this fix, but otherwise just wait for the OOo warning to be lifted before dist-upgrading again. Unless you don't really care about using the testing version of Ooo, then just do du as normal, and run the fix after the du.

Script now also has the option to restore your initscripts configuration file to new version if you accidentally answered 'n' instead of 'y' to that question during du.

Make sure to read the du-fixes-h2.sh warning section carefully by the way, you can avoid headaches that way.

_________________
Read more on dist-upgrades using du-fixes-h2.sh script.
New: rdiff-backup script


Zuletzt bearbeitet von h2 am 29.09.2006, 21:38 Uhr, insgesamt 2 Male bearbeitet
 
 Benutzer-Profile anzeigen Private Nachricht senden  
Antworten mit Zitat Nach oben
Swynndla
Titel:   BeitragVerfasst am: 29.09.2006, 21:30 Uhr



Anmeldung: 05. Dez 2005
Beiträge: 414
Wohnort: Auckland, New Zealand
Note: apt-get upgrade (as opposed to apt-get dist-upgrade) didn't destroy open office.

_________________
Linux is evolution, not intelligent design - Linus Torvalds
 
 Benutzer-Profile anzeigen Private Nachricht senden  
Antworten mit Zitat Nach oben
Beiträge vom vorherigen Thema anzeigen:     
Gehe zu:  
Alle Zeiten sind GMT + 1 Stunde
Neues Thema eröffnen   Neue Antwort erstellen
Vorheriges Thema anzeigen Druckerfreundliche Version Einloggen, um private Nachrichten zu lesen Nächstes Thema anzeigen
PNphpBB2 © 2003-2007 
 
Deutsch | English
Logos and trademarks are the property of their respective owners, comments are property of their posters, the rest is © 2004 - 2006 by Jörg Schirottke (Kano).
Consult Impressum and Legal Terms for details. Kanotix is Free Software released under the GNU/GPL license.
This CMS is powered by PostNuke, all themes used at this site are released under the GNU/GPL license. designed and hosted by w3you. Our web server is running on Kanotix64-2006.